Skip to main content
POST
Invite Client
Agency Plan Required - This endpoint is only available for teams on the Agency plan.

Endpoint

Path Parameters

Request Body

Response

Example Request

An invitation email with a magic link is sent to the client. The email is sent from your custom domain if configured, otherwise from noreply@kakiyo.com.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workspace ID

Body

application/json
email
string<email>
required

Email address of the client to invite

Example:

"client@example.com"

roles
string[]

Roles to assign to the client

Example:
redirectUrl
string

Custom redirect URL after authentication

Example:

"https://portal.youragency.com"

Response

Client invited successfully

membershipId
string
Example:

"membership_abc123"

userId
string
Example:

"user_xyz789"

email
string
Example:

"client@example.com"

portalUrl
string
Example:

"https://youragency.kakiyo.agency"

emailSent
boolean
Example:

true

Last modified on January 22, 2026